Attribute VB_Name = "Common"
Option Explicit

Public Declare Sub QueryPerformanceCounter Lib "kernel32" (ByRef pi64Ctr As Currency)
Public Declare Sub QueryPerformanceFrequency Lib "kernel32" (ByRef pi64Freq As Currency)

Sub Main()
    FBad.Show
    FAlmostBad.Show
    FGood.Show
End Sub

Public Sub MakeControlMatrix(ByVal ControlArray As Object)
    Const cRows As Long = 25
    Const cCols As Long = 25
    Const twpSpacing As Long = 30
    
    Dim iCol As Long
    Dim iRow As Long
    Dim indx As Long
    Dim TemplateBtn As CommandButton
    
    Set TemplateBtn = ControlArray(0)
    
    For iRow = 0 To cRows - 1
        For iCol = 0 To cCols - 1
            indx = iRow * cCols + iCol
            If Not (ControlArray(indx) Is TemplateBtn) Then
                Load ControlArray(indx)
            End If
            
            With ControlArray(indx)
                Set .Container = TemplateBtn.Container
                .Move TemplateBtn.Left + (TemplateBtn.Width + twpSpacing) * iCol, _
                      TemplateBtn.Top + (TemplateBtn.Height + twpSpacing) * iRow
                .Caption = (iRow + 1) & Chr$(65 + iCol)
                .Visible = True
            End With
        Next iCol
    Next iRow
End Sub

